Last Comment Bug 262866 - Invalid path offered when file already exists (Save all attachments)
: Invalid path offered when file already exists (Save all attachments)
Status: VERIFIED FIXED
: verified1.8.1.2
Product: MailNews Core
Classification: Components
Component: Attachments (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: mozilla1.9alpha1
Assigned To: Magnus Melin
:
Mentors:
: 222752 229233 270384 273183 287343 291978 315275 322924 336567 348380 368956 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 12:39 PDT by Ivan Ičin
Modified: 2008-07-31 01:21 PDT (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed patch (1.12 KB, patch)
2005-05-03 01:06 PDT, Katsuhiro MIHARA
no flags Details | Diff | Review
proposed patch (removed all tabs) (1.26 KB, patch)
2005-05-03 01:14 PDT, Katsuhiro MIHARA
no flags Details | Diff | Review
proposed fix based on the patch by Katsuhiro MIHARA (1.91 KB, patch)
2006-11-26 12:18 PST, Magnus Melin
mozilla: review+
mozilla: superreview+
mscott: approval‑thunderbird2+
Details | Diff | Review

Description Ivan Ičin 2004-10-04 12:39:04 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040913 Firefox/0.10.1
Build Identifier: Thunderbird version 0.8 (20040913)

I guess it is a mail/news bug, but as I use only Thunderbird, I submited it
here. I didn't find any doubled in MailNews bugs.

Reproducible: Always
Steps to Reproduce:
1. find message with attachments
2. save at least one attachment to dir
3. save all attacments to that dir
4. click cancel in dialogue (not to replace file)
Actual Results:  
Save file dialogue appeared with whole path in file name field begining with c-\
instead of c:\

Expected Results:  
There should be no path in file name field, or at least it should begin with c:\

This is probably MailNews issue, but I am using Thunderbird so I am reporting
here (I didn't find any duplicates in MailNews)
Comment 1 Mike Cowperthwaite 2004-11-17 08:11:41 PST
*** Bug 270384 has been marked as a duplicate of this bug. ***
Comment 2 Mike Cowperthwaite 2004-11-17 08:14:14 PST
Reproduced with TB 0.9+1112, and with Moz 1.8a5-1019.

Behavior occurs with MailNews, so updating Product.
Duplicate is from Mac OS X, so updating platform.
Comment 3 Mike Cowperthwaite 2005-02-11 07:30:56 PST
*** Bug 273183 has been marked as a duplicate of this bug. ***
Comment 4 Mike Cowperthwaite 2005-03-25 08:10:15 PST
*** Bug 287343 has been marked as a duplicate of this bug. ***
Comment 5 Mike Cowperthwaite 2005-04-27 08:28:06 PDT
*** Bug 291978 has been marked as a duplicate of this bug. ***
Comment 6 Mike Cowperthwaite 2005-04-27 12:19:50 PDT
*** Bug 222752 has been marked as a duplicate of this bug. ***
Comment 7 Katsuhiro MIHARA 2005-05-03 01:06:54 PDT
Created attachment 182467 [details] [diff] [review]
proposed patch

get leaf name before open filepicker.
Comment 8 Katsuhiro MIHARA 2005-05-03 01:14:44 PDT
Created attachment 182469 [details] [diff] [review]
proposed patch (removed all tabs)
Comment 9 Katsuhiro MIHARA 2005-05-07 00:07:07 PDT
Comment on attachment 182469 [details] [diff] [review]
proposed patch (removed all tabs)

I want a reviewer to review this patch. But I don't know who are reviewers of
mailnews.
Comment 10 Mike Cowperthwaite 2005-11-06 08:08:52 PST
*** Bug 315275 has been marked as a duplicate of this bug. ***
Comment 11 Mike Cowperthwaite 2005-11-06 08:09:15 PST
*** Bug 229233 has been marked as a duplicate of this bug. ***
Comment 12 Magnus Melin 2006-01-11 10:14:19 PST
*** Bug 322924 has been marked as a duplicate of this bug. ***
Comment 13 Magnus Melin 2006-05-05 12:33:51 PDT
*** Bug 336567 has been marked as a duplicate of this bug. ***
Comment 14 Magnus Melin 2006-08-11 14:08:25 PDT
*** Bug 348380 has been marked as a duplicate of this bug. ***
Comment 15 Magnus Melin 2006-11-26 12:18:31 PST
Created attachment 246627 [details] [diff] [review]
proposed fix based on the patch by Katsuhiro MIHARA

This is a slightly modified patch based on the earlier one by Katsuhiro MIHARA. (I don't know what the braces were supposed to do there... ?)
Comment 16 David :Bienvenu 2006-11-27 09:35:51 PST
Comment on attachment 246627 [details] [diff] [review]
proposed fix based on the patch by Katsuhiro MIHARA

this fixes the problem; thx for the patch. My one worry is the error returns, which will prevent the UI from coming up (note that we handle the other errors w/o returning). But I don't think we should encounter these errors...
Comment 17 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-12-16 06:34:38 PST
mozilla/mailnews/base/src/nsMessenger.cpp 	1.349
Comment 18 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-01-09 12:36:27 PST
mozilla/mailnews/base/src/nsMessenger.cpp 	1.320.2.16
Comment 19 Carsten Book [:Tomcat] 2007-01-25 12:31:57 PST
Verified fixed for branch/1.8.1.2 with Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.2pre) Gecko/20070124 Thunderbird/2.0b2pre Mnenhy/0.7.4.10002 ID:2007012504
Comment 20 Mike Cowperthwaite 2007-02-19 16:14:33 PST
*** Bug 368956 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.